Bollettino sulla sicurezza Android: aprile 2020

Pubblicato il 6 aprile 2020 | Aggiornato l'8 aprile 2020

L'Android Security Bulletin contiene i dettagli delle vulnerabilità di sicurezza che interessano i dispositivi Android. I livelli di patch di sicurezza del 05-04-2020 o successivi risolvono tutti questi problemi. Per informazioni su come controllare il livello di patch di sicurezza di un dispositivo, consulta Controllare e aggiornare la versione di Android .

I partner Android vengono informati di tutti i problemi almeno un mese prima della pubblicazione. Le patch del codice sorgente per questi problemi sono state rilasciate nel repository Android Open Source Project (AOSP) e collegate da questo bollettino. Questo bollettino include anche collegamenti a patch al di fuori di AOSP.

Il più grave di questi problemi è una vulnerabilità di sicurezza critica nel componente Sistema che potrebbe consentire a un utente malintenzionato remoto che utilizza un file appositamente predisposto di eseguire codice arbitrario nel contesto di un processo privilegiato. La valutazione della gravità si basa sull'effetto che lo sfruttamento della vulnerabilità potrebbe avere su un dispositivo interessato, supponendo che la piattaforma e le attenuazioni del servizio siano disattivate per scopi di sviluppo o se bypassate correttamente.

Fare riferimento alla sezione sulle attenuazioni di Android e Google Play Protect per i dettagli sulle protezioni della piattaforma di sicurezza Android e su Google Play Protect, che migliorano la sicurezza della piattaforma Android.

Mitigazioni dei servizi Android e Google

Questo è un riepilogo delle attenuazioni fornite dalla piattaforma di sicurezza Android e dalle protezioni del servizio come Google Play Protect . Queste funzionalità riducono la probabilità che le vulnerabilità della sicurezza possano essere sfruttate con successo su Android.

  • Lo sfruttamento per molti problemi su Android è reso più difficile dai miglioramenti nelle versioni più recenti della piattaforma Android. Incoraggiamo tutti gli utenti ad aggiornare all'ultima versione di Android, ove possibile.
  • Il team di sicurezza di Android monitora attivamente gli abusi tramite Google Play Protect e avvisa gli utenti in merito alle applicazioni potenzialmente dannose . Google Play Protect è abilitato per impostazione predefinita sui dispositivi con Google Mobile Services ed è particolarmente importante per gli utenti che installano app al di fuori di Google Play.

Dettagli sulla vulnerabilità del livello di patch di sicurezza 2020-04-01

Nelle sezioni seguenti, forniamo i dettagli per ciascuna delle vulnerabilità di sicurezza che si applicano al livello di patch 2020-04-01. Le vulnerabilità sono raggruppate sotto la componente che interessano. Sono presenti una descrizione del problema e una tabella con il CVE, i riferimenti associati, il tipo di vulnerabilità , la gravità e le versioni AOSP aggiornate (ove applicabile). Quando disponibile, colleghiamo la modifica pubblica che ha risolto il problema all'ID del bug, come l'elenco delle modifiche AOSP. Quando più modifiche si riferiscono a un singolo bug, i riferimenti aggiuntivi sono collegati a numeri che seguono l'ID del bug.

Struttura

La vulnerabilità più grave in questa sezione potrebbe consentire a un'applicazione dannosa locale di ignorare i requisiti di interazione dell'utente per ottenere l'accesso a autorizzazioni aggiuntive.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2020-0080 A-144092031 EoP Alto 10
CVE-2020-0081 A-144028297 [ 2 ] EoP Alto 8.0, 8.1, 9, 10
CVE-2020-0082 A-140417434 EoP Alto 10
CVE-2019-5018 A-140180629 [ 2 ] EoP Alto 8.0, 8.1, 9, 10
CVE-2019-8457 A-140182003 [ 2 ] ID Alto 8.0, 8.1, 9, 10
CVE-2019-9936 A-140181188 [ 2 ] ID Moderare 8.0, 8.1, 9, 10

Quadro dei media

La vulnerabilità più grave nella sezione seguente potrebbe consentire a un utente malintenzionato locale che utilizza un file appositamente predisposto di eseguire codice arbitrario nel contesto di un processo privilegiato.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2020-0078 A-144766455 EoP Alto 9, 10
CVE-2020-0079 A-144506242 EoP Alto 9, 10

Sistema

La vulnerabilità più grave in questa sezione potrebbe consentire a un utente malintenzionato remoto che utilizza un file appositamente predisposto di eseguire codice arbitrario nel contesto di un processo privilegiato.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2020-0070 A-148159613 RCE Critico 8.0, 8.1, 9, 10
CVE-2020-0071 A-147310721 RCE Critico 8.0, 8.1, 9, 10
CVE-2020-0072 A-147310271 [ 2 ] RCE Critico 8.0, 8.1, 9, 10
CVE-2020-0073 A-147309942 RCE Critico 8.0, 8.1, 9, 10

Aggiornamenti di sistema di Google Play

Non ci sono problemi di sicurezza risolti negli aggiornamenti di sistema di Google Play questo mese.

Dettagli sulla vulnerabilità del livello di patch di sicurezza 2020-04-05

Nelle sezioni seguenti, forniamo i dettagli per ciascuna delle vulnerabilità di sicurezza che si applicano al livello di patch 2020-04-05. Le vulnerabilità sono raggruppate in base al componente che interessano e includono dettagli come CVE, riferimenti associati, tipo di vulnerabilità , gravità , componente (ove applicabile) e versioni AOSP aggiornate (ove applicabile). Quando disponibile, colleghiamo la modifica pubblica che ha risolto il problema all'ID del bug, come l'elenco delle modifiche AOSP. Quando più modifiche si riferiscono a un singolo bug, i riferimenti aggiuntivi sono collegati a numeri che seguono l'ID del bug.

Struttura

La vulnerabilità in questa sezione potrebbe consentire a un utente malintenzionato locale di ottenere l'accesso a dati sensibili.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2019-2056 A-140879284 * ID Alto 10

Componenti del kernel

La vulnerabilità più grave in questa sezione potrebbe consentire a un utente malintenzionato locale che utilizza un dispositivo USB appositamente predisposto di eseguire codice arbitrario nel contesto di un processo privilegiato.

CVE Riferimenti Tipo Gravità Componente
CVE-2019-19524 A-146258053
kernel a monte
EoP Alto Driver di ingresso USB
CVE-2019-19532 A-146258320
kernel a monte
EoP Alto Driver USB NASCOSTI
CVE-2019-19807 A-146482218
kernel a monte
EoP Alto Sottosistema audio

componenti FPC

La vulnerabilità più grave in questa sezione potrebbe consentire a un'applicazione dannosa locale di ignorare i requisiti di interazione dell'utente per ottenere l'accesso a autorizzazioni aggiuntive.

CVE Riferimenti Tipo Gravità Componente
CVE-2020-0076 A-146056878 * EoP Alto App FPC Iris TZ
CVE-2020-0075 A-146057864 * ID Moderare App FPC Iris TZ
CVE-2020-0077 A-146055840 * ID Moderare App FPC Iris TZ

componenti Qualcomm

Queste vulnerabilità interessano i componenti di Qualcomm e sono descritte in dettaglio nel bollettino sulla sicurezza di Qualcomm o nell'avviso di sicurezza appropriato. La valutazione della gravità di questi problemi è fornita direttamente da Qualcomm.

CVE Riferimenti Tipo Gravità Componente
CVE-2019-14131 A-147103218
QC-CR#2564485
N / A Critico WLAN
CVE-2019-14070 A-147101660
QC-CR#2508568 [ 2 ]
N / A Alto Audio
CVE-2019-14104 A-147103377
QC-CR#2245986
N / A Alto Telecamera
CVE-2019-14122 A-147102901
QC-CR#2538911
N / A Alto kernel
CVE-2019-14132 A-147104052
QC-CR#2455671
N / A Alto video
CVE-2020-3651 A-148816872
QC-CR#2291442
N / A Alto WLAN

Componenti chiusi di Qualcomm

Queste vulnerabilità interessano i componenti closed-source di Qualcomm e sono descritte più dettagliatamente nel bollettino sulla sicurezza di Qualcomm o nell'avviso di sicurezza appropriato. La valutazione della gravità di questi problemi è fornita direttamente da Qualcomm.

CVE Riferimenti Tipo Gravità Componente
CVE-2019-10575 A-142272251 * N / A Critico Componente closed-source
CVE-2019-10588 A-142271575 * N / A Critico Componente closed-source
CVE-2019-10609 A-142269795 * N / A Critico Componente closed-source
CVE-2019-14110 A-147104254 * N / A Critico Componente closed-source
CVE-2019-14111 A-147103017 * N / A Critico Componente closed-source
CVE-2019-14112 A-147102781 * N / A Critico Componente closed-source
CVE-2019-14113 A-147103217 * N / A Critico Componente closed-source
CVE-2019-14114 A-147102843 * N / A Critico Componente closed-source
CVE-2019-10483 A-142270890 * N / A Alto Componente closed-source
CVE-2019-10551 A-142270356 * N / A Alto Componente closed-source
CVE-2019-10589 A-142271556 * N / A Alto Componente closed-source
CVE-2019-10608 A-142270891 * N / A Alto Componente closed-source
CVE-2019-10610 A-142271388 * N / A Alto Componente closed-source
CVE-2019-14001 A-142272252 * N / A Alto Componente closed-source
CVE-2019-14007 A-142269788 * N / A Alto Componente closed-source
CVE-2019-14009 A-142271546 * N / A Alto Componente closed-source
CVE-2019-14011 A-142268825 * N / A Alto Componente closed-source
CVE-2019-14012 A-142270102 * N / A Alto Componente closed-source
CVE-2019-14018 A-142271911 * N / A Alto Componente closed-source
CVE-2019-14019 A-142272129 * N / A Alto Componente closed-source
CVE-2019-14020 A-142271277 * N / A Alto Componente closed-source
CVE-2019-14021 A-142271809 * N / A Alto Componente closed-source
CVE-2019-14022 A-142271458 * N / A Alto Componente closed-source
CVE-2019-14033 A-142271279 * N / A Alto Componente closed-source
CVE-2019-14075 A-145546514 * N / A Alto Componente closed-source
CVE-2019-14105 A-147104252 * N / A Alto Componente closed-source
CVE-2019-14127 A-147103871 * N / A Alto Componente closed-source
CVE-2019-14134 A-147102923 * N / A Alto Componente closed-source
CVE-2019-14135 A-147104050 * N / A Alto Componente closed-source
CVE-2020-3651 A-148816543 * N / A Alto Componente closed-source

Domande e risposte comuni

Questa sezione risponde alle domande più comuni che possono verificarsi dopo la lettura di questo bollettino.

1. Come faccio a determinare se il mio dispositivo è aggiornato per risolvere questi problemi?

Per informazioni su come controllare il livello di patch di sicurezza di un dispositivo, consulta Controllare e aggiornare la versione di Android .

  • I livelli di patch di sicurezza del 01-04-2020 o successivi risolvono tutti i problemi associati al livello di patch di sicurezza del 01-04-2020.
  • I livelli di patch di sicurezza del 05-04-2020 o successivi risolvono tutti i problemi associati al livello di patch di sicurezza del 04-04-2020 e tutti i livelli di patch precedenti.

I produttori di dispositivi che includono questi aggiornamenti devono impostare il livello della stringa di patch su:

  • [ro.build.version.security_patch]:[2020-04-01]
  • [ro.build.version.security_patch]:[2020-04-05]

Per alcuni dispositivi con Android 10 o versioni successive, l'aggiornamento del sistema di Google Play avrà una stringa di data che corrisponde al livello di patch di sicurezza 2020-04-01. Consulta questo articolo per maggiori dettagli su come installare gli aggiornamenti di sicurezza.

2. Perché questo bollettino ha due livelli di patch di sicurezza?

Questo bollettino ha due livelli di patch di sicurezza in modo che i partner Android abbiano la flessibilità di correggere più rapidamente un sottoinsieme di vulnerabilità simili su tutti i dispositivi Android. I partner Android sono invitati a risolvere tutti i problemi in questo bollettino e utilizzare il livello di patch di sicurezza più recente.

  • I dispositivi che utilizzano il livello di patch di sicurezza 2020-04-01 devono includere tutti i problemi associati a tale livello di patch di sicurezza, nonché le correzioni per tutti i problemi segnalati nei precedenti bollettini sulla sicurezza.
  • I dispositivi che utilizzano il livello di patch di sicurezza 2020-04-05 o successivo devono includere tutte le patch applicabili in questo (e precedenti) bollettini sulla sicurezza.

I partner sono incoraggiati a raggruppare le correzioni per tutti i problemi che stanno affrontando in un unico aggiornamento.

3. Cosa significano le voci nella colonna Tipo ?

Le voci nella colonna Tipo della tabella dei dettagli della vulnerabilità fanno riferimento alla classificazione della vulnerabilità della sicurezza.

Abbreviazione Definizione
RCE Esecuzione di codice a distanza
EoP Elevazione del privilegio
ID Rivelazione di un 'informazione
DoS Negazione del servizio
N / A Classificazione non disponibile

4. Cosa significano le voci nella colonna Riferimenti ?

Le voci nella colonna Riferimenti della tabella dei dettagli della vulnerabilità possono contenere un prefisso che identifica l'organizzazione a cui appartiene il valore di riferimento.

Prefisso Riferimento
UN- ID bug Android
controllo qualità- Numero di riferimento Qualcomm
M- Numero di riferimento MediaTek
N- Numero di riferimento NVIDIA
B- Numero di riferimento Broadcom

5. Cosa significa un * accanto all'ID del bug Android nella colonna Riferimenti ?

I problemi che non sono disponibili pubblicamente hanno un * accanto all'ID del bug Android nella colonna Riferimenti . L'aggiornamento per quel problema è generalmente contenuto nei driver binari più recenti per i dispositivi Pixel disponibili sul sito Google Developer .

6. Perché le vulnerabilità della sicurezza sono suddivise tra questo bollettino e i bollettini sulla sicurezza del dispositivo/partner, come il bollettino Pixel?

Le vulnerabilità di sicurezza documentate in questo bollettino sulla sicurezza sono necessarie per dichiarare il livello di patch di sicurezza più recente sui dispositivi Android. Per dichiarare un livello di patch di sicurezza non sono necessarie ulteriori vulnerabilità di sicurezza documentate nei bollettini sulla sicurezza del dispositivo/partner. I produttori di dispositivi Android e chipset possono anche pubblicare dettagli sulla vulnerabilità della sicurezza specifici dei loro prodotti, come Google , Huawei , LGE , Motorola , Nokia o Samsung .

Versioni

Versione Data Appunti
1.0 6 aprile 2020 Bollettino pubblicato
1.1 8 aprile 2020 Bollettino rivisto per includere i collegamenti AOSP